* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

@font-face {
	font-family: 'Pretendard';
	src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Medium.woff2') format('woff2');
	font-weight: 500;
	font-display: swap;
}

:root {
	--size: clamp(14px, calc(64 / 1920 * 100vw), 64px);
	--margin: calc(8 / 1920 * 100vw);
}

body {
	font-family: 'Pretendard';
	background-color: #191919;
}

.container {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100dvh;
}

.list {
	list-style: none;
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	width: 100%;
}

.item {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 16px 0;
	width: 100%;
	border: 1px solid rgba(255, 255, 255, 0.8);
	border-width: 1px 0 0;
	cursor: pointer;
}

.item:last-of-type {
	border-width: 1px 0;
}

.item span {
	font-weight: 500;
	font-size: var(--size);
	color: rgba(255, 255, 255, 0.8);
	text-transform: uppercase;
}
.item span:first-of-type {
	margin-right: var(--margin);
}

.item span:last-of-type {
	margin-left: var(--margin);
}

.item .image {
	position: relative;
	width: 100%;
	max-width: 0;
	height: var(--size);
	aspect-ratio: 3 / 2;
	overflow: hidden;
	transition: max-width 0.4s cubic-bezier(0.23, 1, 0.32, 1);
	object-fit: cover;
}

.item .image img {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: calc(var(--size) * 3 / 2);
	height: var(--size);
	object-fit: cover;
}

.item:hover .image {
	max-width: calc(var(--size) * 3 / 2);
}
